Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.managedevents
Class BusinessServiceDataEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent<BusinessServiceDataEventHandler>
                  com.tibco.bpm.web.client.model.managedevents.BusinessServiceDataEvent

    public abstract class BusinessServiceDataEvent

extends ManagedEvent<BusinessServiceDataEventHandler>

Event for BusinessServiceData actions.

©2012 TIBCO Software Inc.

Since:
  2.0.0

Nested Class Summary
`static class` | `BusinessServiceDataEvent.Action`

Nested classes/interfaces inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`ManagedEvent.DispatchScope`

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<BusinessServiceDataEventHandler>` | `TYPE`

Fields inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`DEFAULT_VERSION, EXT_SUFFIX`

Constructor Summary
`BusinessServiceDataEvent()`

Method Summary
`static BusinessServiceDataEvent` | `create()`
`static BusinessServiceDataEvent` | `create(BusinessServiceDataEvent.Action action, java.lang.String processInstanceId, java.lang.String dataFeedIn, java.lang.String dataFeedOut)`
`static BusinessServiceDataEvent` | `create(BusinessServiceDataEvent.Action action, java.lang.String processInstanceId, java.lang.String dataFeedIn, java.lang.String dataFeedOut, java.lang.String moduleName, java.lang.String processName, java.lang.String version, java.lang.String category)`
`BusinessServiceDataEvent.Action` | `getAction()`
`com.google.gwt.event.shared.GwtEvent.Type<BusinessServiceDataEventHandler>` | `getAssociatedType()`
`java.lang.String` | `getCategory()`
`java.lang.String` | `getDataFeedIn()`
`java.lang.String` | `getDataFeedOut()`
`java.lang.String` | `getModuleName()`
`java.lang.String` | `getProcessInstanceId()`
`java.lang.String` | `getProcessName()`
`java.lang.String` | `getVersion()`
`void` | `setAction(BusinessServiceDataEvent.Action action)`
`void` | `setCategory(java.lang.String category)`
`void` | `setDataFeedIn(java.lang.String dataFeedIn)`
`void` | `setDataFeedOut(java.lang.String dataFeedOut)`
`void` | `setModuleName(java.lang.String moduleName)`
`void` | `setProcessInstanceId(java.lang.String processInstanceId)`
`void` | `setProcessName(java.lang.String processName)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`dispatch, dispatchLocal, fromJsonString, fromPageBusMessage, fromPageBusMessageDefault, getDispatchScope, getEventSourceId, getJsonizer, getManagedEventVersion, getReceivedSchemaId, getSchemaId, getSubscription, getTopic, isCacheEnabled, isDispatched, isFireWhenReceivedFromManagedHub, isReceivedFromManagedHub, isRegistered, setCacheEnabled, setDispatched, setDispatchScope, setEventSourceId, setFireWhenReceivedFromManagedHub, setManagedEventVersion, setReceivedSchemaId, setRegistered, setSubscription, toJsonString, toPageBusMessage, toPageBusMessageDefault`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<BusinessServiceDataEventHandler> TYPE

Constructor Detail

### BusinessServiceDataEvent

    public BusinessServiceDataEvent()

Method Detail

### create

    public static BusinessServiceDataEvent create()

### create

    public static BusinessServiceDataEvent create(BusinessServiceDataEvent.Action action,
                                                  java.lang.String processInstanceId,
                                                  java.lang.String dataFeedIn,
                                                  java.lang.String dataFeedOut)

### create

    public static BusinessServiceDataEvent create(BusinessServiceDataEvent.Action action,
                                                  java.lang.String processInstanceId,
                                                  java.lang.String dataFeedIn,
                                                  java.lang.String dataFeedOut,
                                                  java.lang.String moduleName,
                                                  java.lang.String processName,
                                                  java.lang.String version,
                                                  java.lang.String category)

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<BusinessServiceDataEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<BusinessServiceDataEventHandler>`

### getAction

    public BusinessServiceDataEvent.Action getAction()

### setAction

    public void setAction(BusinessServiceDataEvent.Action action)

### getProcessInstanceId

    public java.lang.String getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(java.lang.String processInstanceId)

### getDataFeedIn

    public java.lang.String getDataFeedIn()

### setDataFeedIn

    public void setDataFeedIn(java.lang.String dataFeedIn)

### getDataFeedOut

    public java.lang.String getDataFeedOut()

### setDataFeedOut

    public void setDataFeedOut(java.lang.String dataFeedOut)

### getModuleName

    public java.lang.String getModuleName()

### setModuleName

    public void setModuleName(java.lang.String moduleName)

### getProcessName

    public java.lang.String getProcessName()

### setProcessName

    public void setProcessName(java.lang.String processName)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getCategory

    public java.lang.String getCategory()

### setCategory

    public void setCategory(java.lang.String category)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.